Bug 623675 - [QLogic 5.6 feat] qla4xxx: Update driver to 5.02.03.00.05.06-d1
[QLogic 5.6 feat] qla4xxx: Update driver to 5.02.03.00.05.06-d1
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.6
All Linux
high Severity high
: rc
: 5.6
Assigned To: Chad Dupuis (Cavium)
Storage QE
: FutureFeature, OtherQA
Depends On: 546592
Blocks: 557597 564513 624710
  Show dependency treegraph
 
Reported: 2010-08-12 09:46 EDT by Chad Dupuis (Cavium)
Modified: 2015-09-16 19:47 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-13 16:09:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix name space conflicts between qla2xxx and qla4xxx. (86.75 KB, application/octet-stream)
2010-08-12 10:37 EDT, Prasanna Mumbai
no flags Details
Add AER support. (24.03 KB, application/octet-stream)
2010-08-12 10:38 EDT, Prasanna Mumbai
no flags Details
scsi_qla_host struct updtate to sync up with QLogic IOCTL module. (5.18 KB, application/octet-stream)
2010-08-12 10:41 EDT, Prasanna Mumbai
no flags Details

  None (edit)
Description Chad Dupuis (Cavium) 2010-08-12 09:46:53 EDT
This bz contains three patches:

1. Fix name space conflicts between qla2xxx and qla4xxx.  This has been posted upstream as part of http://marc.info/?l=git-commits-head&m=128096289326765&w=2.  Note that this is only the name space fixes.

2. Add AER support.  This has been pushed upstream already: http://marc.info/?l=linux-scsi&m=128048113322588&w=2.

3. Update the scsi_qla_host struct with callbacks for iSNS support from the QLogic IOCTL module.  The IOCTL module is not inbox so it wouldn't be expected that Red Hat would support it.  However we'd like to get the hooks for it inbox so that we can use the inbox driver on RHEL 5.6 which is the best and preferred solution.
Comment 1 Prasanna Mumbai 2010-08-12 10:37:51 EDT
Created attachment 438455 [details]
Fix name space conflicts between qla2xxx and qla4xxx.

Fix name space conflicts between qla2xxx and qla4xxx.  This has been posted
upstream as part of http://marc.info/?l=git-commits-head&m=128096289326765&w=2.
 Note that this is only the name space fixes.
Comment 2 Prasanna Mumbai 2010-08-12 10:38:46 EDT
Created attachment 438456 [details]
Add AER support.

Add AER support.  This has been pushed upstream already:
http://marc.info/?l=linux-scsi&m=128048113322588&w=2.
Comment 3 Prasanna Mumbai 2010-08-12 10:41:01 EDT
Created attachment 438457 [details]
scsi_qla_host struct updtate to sync up with QLogic IOCTL module.

Update the scsi_qla_host struct with callbacks for iSNS support from the
QLogic IOCTL module.
Comment 4 Subhendu Ghosh 2010-08-16 09:55:03 EDT
Please split the BZ to separate the requests
Comment 5 Prasanna Mumbai 2010-08-16 13:29:25 EDT
Hi Subhendu,
Do you want to split each of the patches into a different BZ ?
Comment 6 Chad Dupuis (Cavium) 2010-08-17 10:39:32 EDT
The AER patch has been moved to it's own bugzilla: https://bugzilla.redhat.com/show_bug.cgi?id=624710.
Comment 7 Chad Dupuis (Cavium) 2010-08-20 15:56:05 EDT
NOTE: The second patch,  scsi_qla_host struct updtate to sync up with QLogic IOCTL module, was not submitted with the RHKL submission.
Comment 10 Jarod Wilson 2010-09-17 10:02:58 EDT
in kernel-2.6.18-222.el5
You can download this test kernel from http://people.redhat.com/jwilson/el5

Detailed testing feedback is always welcomed.
Comment 12 Chris Ward 2010-11-09 08:41:08 EST
~~ Attention Customers and Partners - RHEL 5.6 Public Beta is now available on RHN ~~

A fix for this 'OtherQA' BZ should be present and testable in the release. 

If this Bugzilla is verified as resolved, please update the Verified field above with an appropriate value and include a summary of the testing executed and the results obtained.

If you encounter any issues or have questions while testing, please describe them and set this bug into NEED_INFO. 

If you encounter new defects or have additional patches to request for inclusion, promptly escalate the new issues through your support representative.

Finally, future Beta kernels can be found here:
 http://people.redhat.com/jwilson/el5/

Note: Bugs with the 'OtherQA' keyword require Third-Party testing to confirm the request has been properly addressed. See: https://bugzilla.redhat.com/describekeywords.cgi#OtherQA ).
Comment 13 Chris Ward 2010-12-02 10:32:16 EST
Reminder! There should be a fix present for this BZ in snapshot 3 -- unless otherwise noted in a previous comment.

Please test and update this BZ with test results as soon as possible.
Comment 15 errata-xmlrpc 2011-01-13 16:09:43 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2011-0017.html

Note You need to log in before you can comment on or make changes to this bug.